<?php

$mypage = 'developer';

$REX['ADDON']['rxid'][$mypage] = '338';

$REX['ADDON']['author'][$mypage] = 'Gregor Harlan';
$REX['ADDON']['version'][$mypage] = '2.0RC8';

$REX['EXTPERM'][] = "developer[]";

// --- DYN
$REX['ADDON']['developer']['status']['templates'] = 0;
$REX['ADDON']['developer']['status']['modules'] = 0;
// --- /DYN

require_once $REX['INCLUDE_PATH']."/addons/$mypage/functions/functions.inc.php";
require_once $REX['INCLUDE_PATH']."/addons/$mypage/classes/class.rex_a338_liveEdit.inc.php";

$ok = false;
if($REX['REDAXO']) {
  $ok = true;
  if(rex_get('css', 'string') == 'addons/'.$mypage) {
    $cssfile = $REX['INCLUDE_PATH']."/addons/$mypage/css/developer.css";
    rex_send_file($cssfile, 'text/css');
    exit();
  }
  
  $liveEdit = new rex_a338_liveEdit();
  
  if (rex_post('developer_new_status','int',0)==1) {
    $developer_status_templates = rex_post('developer_status_templates','int',0);
    $developer_status_modules = rex_post('developer_status_modules','int',0);
    rex_a338_setStatus($developer_status_templates,$developer_status_modules);
    if ($REX['ADDON'][$mypage]['status']['templates'] != $developer_status_templates && $developer_status_templates == 1) {
      $liveEdit->generateTemplateFiles();
    }
    if ($REX['ADDON'][$mypage]['status']['modules'] != $developer_status_modules && $developer_status_modules == 1) {
      $liveEdit->generateModuleFiles();
    }
    $REX['ADDON'][$mypage]['status']['templates'] = $developer_status_templates;
    $REX['ADDON'][$mypage]['status']['modules'] = $developer_status_modules;
  }
  
  $I18N_DEVELOPER = new i18n($REX['LANG'], $REX['INCLUDE_PATH']."/addons/$mypage/lang");

  if (isset($page) && !in_array($page,array('medienpool','linkmap','login',''))) {
    rex_register_extension('OUTPUT_FILTER_CACHE', 'rex_a338_checkNewTemplatesAndModules');
    rex_register_extension('PAGE_HEADER', 'rex_a338_sync');
    rex_register_extension('PAGE_HEADER', 'rex_a338_addCSS');
    rex_register_extension('OUTPUT_FILTER', 'rex_a338_backendEdit');
  }
  rex_register_extension('A1_AFTER_DB_IMPORT','rex_a338_generateFiles');
}

if ($REX['GG']) {
  $REX_LOGIN = new rex_backend_login($REX['TABLE_PREFIX'].'user');
  if ($REX_LOGIN->checkLogin()) {
    if (!isset($liveEdit))
      $liveEdit = new rex_a338_liveEdit();
    if ($REX['ADDON']['developer']['status']['templates'] == 1)
      $liveEdit->syncTemplates();
    if ($REX['ADDON']['developer']['status']['modules'] == 1)
      $liveEdit->syncModules(); 
  }
}

?>